Update speaker assignment in timeslot (cloned)
2 min
Assign speakers to timeslot
Assign existing speakers in your event to any existing content-type timeslot
PUT
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speaker_assignments/{speakerAssignmentId}
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
- {speakerAssignmentId}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request PUT 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speaker_assignments/{speakerAssignmentId}' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'\
--data '{
"speaker_assignment": {
"speaker_id": {{speaker_id}},
"timeslot_id": {{timeslot_id}},
"role": "{{role_name}}"
}
}'
'200
{
"data": {
"id": "139139",
"type": "speaker-assignment",
"attributes": {
"role": "Panelist",
"position": 2
},
"relationships": {
"speaker": {
"data": {
"id": "113447",
"type": "speaker"
}
},
"timeslot": {
"data": {
"id": "490434",
"type": "timeslot"
}
}
}
},
"included": [
{
"id": "490434",
"type": "timeslot",
"attributes": {
"external-id": null,
"title": "Linux Foundation Test2",
"reservable": false,
"duration": 30,
"location": null,
"content": null,
"subtitle": "Testing the subtitle",
"highlight-position": null,
"stream-link": null,
"chat-channel-id": null,
"start-time": "2029-06-30T22:00:00.000Z",
"end-time": "2029-06-30T22:30:00.000Z",
"tag-order": []
},
"relationships": {
"tags": {
"data": []
},
"locations": {
"data": []
},
"speaker-assignments": {
"data": [
{
"id": "138129",
"type": "speaker-assignment"
},
{
"id": "139139",
"type": "speaker-assignment"
}
]
},
"speakers": {
"data": [
{
"id": "113447",
"type": "speaker"
},
{
"id": "113447",
"type": "speaker"
}
]
},
"tabs": {
"data": []
},
"attendee-groups": {
"data": []
},
"event": {
"data": {
"id": "6357",
"type": "event"
}
}
}
},
{
"id": "113447",
"type": "speaker",
"attributes": {
"honorific": "Rtd. Admrl",
"first-name": "Jean-Luc",
"middle-name": null,
"last-name": "Picard",
"job-title": "Admiral (Retired)",
"company-name": "Starfleet Command",
"photo-url": "https://brella-assets.brella.io/uploads/speaker/photo/113447/ac81cf55fc7ee.jpg",
"bio": {
"blocks": [
{
"key": "d9kpc",
"text": "Born in a vineyard in France, Jean Luc Picard was one of the Federation's foremost commanders; who led the USS Enterprise through many a crisis. Picard has since retired, since an uprising at Utopia Planetia, and now lives on his vineyard in Paris. <br> In his spare time, the retired captain likes time-travel, making friends with the Borg and rustling up old friends for one 'last' adventure. <br> More info: Jean-Luc Picard was born to Maurice and Yvette Picard in La Barre, France, on 13 July 2305. As a child, he dreamed of joining Starfleet.[17] He and the rest of his family speak English, with UK English dialects—the French language having become obscure by the 24th century, as mentioned in the Next Generation episode 'Code of Honor'. In the first season of The Next Generation, Picard was depicted as having a special pride in being French, though this was dropped by the second season. Picard also has a number of British habits, including the regular consumption of Earl Grey tea, a fondness for Shakespeare (which he performs in holodeck simulations), riding horses with English tack and a knowledge of such British songs with Royal Navy associations as The young Picard failed his first Starfleet Academy entrance exam and, upon admission, met with numerous ethical/scholastic difficulties during his cadet career, but went on to flourish, developing a lifelong passion for archaeology, and he became the first freshman to win the Academy marathon.[17] Shortly after graduation, Picard was stabbed in the heart by a Nausicaan, leaving the organ irreparable and requiring replacement with a parthenogenetic implant; this would prove near-fatal later.[17] Ensign Picard's first posting was on the USS Reliant,[18] later serving as first officer aboard the USS Stargazer, which he later commanded.[17] During that time, he performed a warp-speed battle tactic that would become known as the Picard Maneuver.[17]",
"type": "unstyled",
"depth": 0,
"inline_style_ranges": [],
"entity_ranges": [],
"data": {}
}
],
"entity_map": {}
},
"highlight-position": null,
"external-id": null
},
"relationships": {
"speaker-assignments": {
"data": [
{
"id": "138129",
"type": "speaker-assignment"
},
{
"id": "139139",
"type": "speaker-assignment"
}
]
}
}
}
]
}REQUEST BODY
{
"speaker_assignment": {
"speaker_id": {{speaker_id}},
"timeslot_id": {{timeslot_id}},
"role": "{{role_name}}"
}
}
Required attributes:
- speaker_id Number / the unique identifier generated by Brella for the speaker (can be retrieved via the speaker endpoints)
- timeslot_id Number / the unique identifier generated by Brella for the timeslot (can be retrieved via the timeslot endpoints)
- role String / see notes for supported values
Notes:
01: Both the speaker and timeslot need to exist in the event. This endpoint can't create these entities for you.
02: The values supported for the role attribute are:
- Chairman
- Facilitator
- Judge
- Keynote speaker
- Moderator
- Organizer
- Panelist
- Speaker
- Sponsor